services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  NL\Sitepackage\EventListener\LanguageMenuProcessor:
    tags:
      - name: event.listener
        identifier: 'languageMenuProcessor'
        event: NL\NlUtils\Events\AfterLanguageMenuProcessed
  NL\Sitepackage\EventListener\AssetsOrderProcessor:
    tags:
      - name: event.listener
        identifier: 'assetsOrderProcessor'
        event: TYPO3\CMS\Core\Page\Event\BeforeJavaScriptsRenderingEvent
  NL\Sitepackage\LinkHandler\OnlineCatalogLinkHandler:
    public: true
    shared: false
  NL\Sitepackage\ContentObject\Exception\ProductionExceptionHandler:
    public: true
    shared: false
